Change default LLM provider and model
PUT/v1/llm-providers/defaults
This route allows you to change the default LLM provider and model.
To learn more about LLM management, see the documentation.
Request
Request body schema (JSON)
{
"title": "Body",
"body": {
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"provider": {
"type": "string",
"enum": [
"openai",
"azure-openai",
"anthropic",
"azure-anthropic",
"bedrock",
"port",
"openai-compatible",
"vertex-gemini",
"vertex-anthropic",
"anthropic-compatible"
]
},
"model": {
"anyOf": [
{
"type": "string",
"enum": [
"gpt-5",
"gpt-5.6-luna",
"gpt-5.6-terra",
"claude-sonnet-4-20250514",
"claude-sonnet-4-5-20250929",
"claude-sonnet-4-6",
"claude-sonnet-5",
"claude-sonnet-5-5",
"claude-haiku-4-5-20251001",
"claude-opus-4-5-20251101",
"claude-opus-4-6"
]
},
{
"type": "string",
"minLength": 3,
"description": "Custom model name (for example from an OpenAI-compatible, Anthropic-compatible, Vertex Gemini, or Vertex Anthropic provider you configured)."
}
]
}
},
"required": [
"provider",
"model"
]
}
}
},
"required": true
}
}Responses
- 200
- 500
Default Response
Default Response
Responses (JSON)
{
"responses": {
"200": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"result": {
"type": "object",
"properties": {
"provider": {
"type": "string",
"enum": [
"openai",
"azure-openai",
"anthropic",
"azure-anthropic",
"bedrock",
"port",
"openai-compatible",
"vertex-gemini",
"vertex-anthropic",
"anthropic-compatible"
]
},
"model": {
"anyOf": [
{
"type": "string",
"enum": [
"gpt-5",
"gpt-5.6-luna",
"gpt-5.6-terra",
"claude-sonnet-4-20250514",
"claude-sonnet-4-5-20250929",
"claude-sonnet-4-6",
"claude-sonnet-5",
"claude-sonnet-5-5",
"claude-haiku-4-5-20251001",
"claude-opus-4-5-20251101",
"claude-opus-4-6"
]
},
{
"type": "string",
"minLength": 3,
"description": "Custom model name (for example from an OpenAI-compatible, Anthropic-compatible, Vertex Gemini, or Vertex Anthropic provider you configured)."
}
]
},
"createdAt": {
"type": "string",
"format": "date-time"
},
"createdBy": {
"type": "string"
},
"updatedAt": {
"type": "string",
"format": "date-time"
},
"updatedBy": {
"type": "string"
}
},
"required": [
"provider",
"model"
],
"additionalProperties": false
}
},
"required": [
"ok",
"result"
],
"additionalProperties": false
}
}
}
},
"500": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"type": "boolean"
},
"error": {
"type": "string"
},
"message": {
"type": "string"
},
"details": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false
}
}
}
}
}
}